package cn.superdesk.uniorder.dto.param.thirdpart.qchjc.accounting;

import java.util.Date;

public class QchjcUserParam {
    private Long id;

    private Long unifiedId;

    private Long outId;

    private String userName;

    private Date syncTime;

    private Integer storageStatus;

    private Date storageTime;

    public QchjcUserParam(Long id, Long unifiedId, Long outId, String userName, Date syncTime, Integer storageStatus, Date storageTime) {
        this.id = id;
        this.unifiedId = unifiedId;
        this.outId = outId;
        this.userName = userName;
        this.syncTime = syncTime;
        this.storageStatus = storageStatus;
        this.storageTime = storageTime;
    }

    public QchjcUserParam() {
        super();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUnifiedId() {
        return unifiedId;
    }

    public void setUnifiedId(Long unifiedId) {
        this.unifiedId = unifiedId;
    }

    public Long getOutId() {
        return outId;
    }

    public void setOutId(Long outId) {
        this.outId = outId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }

    public Integer getStorageStatus() {
        return storageStatus;
    }

    public void setStorageStatus(Integer storageStatus) {
        this.storageStatus = storageStatus;
    }

    public Date getStorageTime() {
        return storageTime;
    }

    public void setStorageTime(Date storageTime) {
        this.storageTime = storageTime;
    }
}